xquery version "1.0";

(: 
 $Id: cmd-model.xql 174 2010-02-03 23:33:28Z ljo $
:)
import module namespace request="http://exist-db.org/xquery/request";

import module namespace cmd-model = "http://spraakbanken.gu.se/clarin/xquery/model"
at "xmldb:exist:///db/clarin/cmd-model.xqm";

(: cmd-model:recurse-collections-model("/db/cmdi-mirror/olac/OLAC/The_LINGUIST_List_Language_Resources", "//MDGroup/Actors/Actor", 4) :)

declare function local:cmd-model() as item()* {
  let $action :=  request:get-parameter("operation", ""),
    $cmd-index := request:get-parameter("q", "MDGroup/Actors/Actor"),
    $cmd-index-path := 
    if (fn:contains($cmd-index, ".")) then
      fn:translate($cmd-index, ".", "/") 
    else
      $cmd-index,
    $format := request:get-parameter("format", "xml"),
    $path := fn:concat("/db/cmdi-mirror/", request:get-parameter("path", "silang_data")),
    $max-depth as xs:integer := xs:integer(request:get-parameter("maxdepth", 1))

    return
    cmd-model:get-result-doc($path, $cmd-index-path, $max-depth)
};

local:cmd-model()
